Query global edge application bundles
GET /api/v1/apps/global. Edge applications API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
query param : "name-pattern" . Search * namePattern * in name field to filter records
origin of bundle
category type of the bundle
Only summary of the records required
app type, eg: vm, container, module
APP_TYPE_UNSPECIFIED, APP_TYPE_VM, APP_TYPE_VM_RUNTIME, APP_TYPE_CONTAINER, APP_TYPE_MODULE, APP_TYPE_DOCKER_COMPOSE type of deployment for the app, eg: azure, k3s, standalone
DEPLOYMENT_TYPE_UNSPECIFIED, DEPLOYMENT_TYPE_STAND_ALONE, DEPLOYMENT_TYPE_AZURE, DEPLOYMENT_TYPE_K3S, DEPLOYMENT_TYPE_AWS, DEPLOYMENT_TYPE_K3S_AZURE, DEPLOYMENT_TYPE_K3S_AWS, DEPLOYMENT_TYPE_VMWARE_VCE, DEPLOYMENT_TYPE_VMWARE_TKG_ATTACH, DEPLOYMENT_TYPE_DOCKER_RUNTIME category types of the bundle
- APP_CATEGORY_UNSPECIFIED: Invalid Edge Application Category
- APP_CATEGORY_OPERATING_SYSTEM: Edge operating systems
- APP_CATEGORY_INDUSTRIAL: Connectity solution for industrial protocols
- APP_CATEGORY_EDGE_APPLICATION: Edge application framework featuring composite functions for data ingestion, buffering, analytics and export
- APP_CATEGORY_NETWORKING: Edge networking services (e.g. SD-WAN, NFV)
- APP_CATEGORY_SECURITY: Edge security services (e.g. protocol inspection, firewall)
- APP_CATEGORY_DATA_ANALYTICS: Edge analytics (e.g. AI/ML) and data management (e.g. database, connectors) services
- APP_CATEGORY_CLOUD_APPLICATION: Edge application runtimes, cloud connectivity and general application enablement
- APP_CATEGORY_DEVOPS: Tools for Edge Application CI/CD and performance optimization
- APP_CATEGORY_OTHERS: Miscellaneous functionality
APP_CATEGORY_UNSPECIFIED, APP_CATEGORY_OPERATING_SYSTEM, APP_CATEGORY_INDUSTRIAL, APP_CATEGORY_EDGE_APPLICATION, APP_CATEGORY_NETWORKING, APP_CATEGORY_SECURITY, APP_CATEGORY_DATA_ANALYTICS, APP_CATEGORY_CLOUD_APPLICATION, APP_CATEGORY_DEVOPS, APP_CATEGORY_OTHERS Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
query param : "title-pattern" . Search * titlePattern * in name field to filter records
query param : "match-any-tag" . If true, match any of the provided tags (OR logic). If false (default), match all provided tags (AND logic).
Response
A successful response.
cursor next
edge applications by category
edge applications by origin
edge applications by appType
app distribution summary
edge application summary list